> [!WARNING]
> Display \& Video 360 API v5 is currently in beta.

- [HTTP request](https://developers.google.com/display-video/api/reference/rest/v5/partners.channels.sites/list#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/display-video/api/reference/rest/v5/partners.channels.sites/list#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/display-video/api/reference/rest/v5/partners.channels.sites/list#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/display-video/api/reference/rest/v5/partners.channels.sites/list#body.request_body)
- [Response body](https://developers.google.com/display-video/api/reference/rest/v5/partners.channels.sites/list#body.response_body)
- [Authorization scopes](https://developers.google.com/display-video/api/reference/rest/v5/partners.channels.sites/list#body.aspect)
- [Try it!](https://developers.google.com/display-video/api/reference/rest/v5/partners.channels.sites/list#try-it)

Lists sites in a channel.

### HTTP request

`GET https://displayvideo.googleapis.com/v5/partners/{partnerId}/channels/{channelId}/sites`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `channelId` | `string (https://developers.google.com/discovery/v1/type-format format)` Required. The ID of the parent channel to which the requested sites belong. |
| Required. Identifies the DV360 entity that owns the parent channel. It can be either a partner or an advertiser. The following is a list of mutually exclusive fields. At most one of the fields will be set in a response: ||
| `partnerId` | `string (https://developers.google.com/discovery/v1/type-format format)` The ID of the partner that owns the parent channel. |
| End of mutually exclusive fields. ||

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` Requested page size. Must be between `1` and `10000`. If unspecified will default to `100`. Returns error code `INVALID_ARGUMENT` if an invalid value is specified. |
| `pageToken` | `string` A token identifying a page of results the server should return. Typically, this is the value of `https://developers.google.com/display-video/api/reference/rest/v5/ListSitesResponse#FIELDS.next_page_token` returned from the previous call to `sites.list` method. If not specified, the first page of results will be returned. |
| `orderBy` | `string` Field by which to sort the list. Acceptable values are: - `urlOrAppId` (default) The default sorting order is ascending. To specify descending order for a field, a suffix " desc" should be added to the field name. Example: `urlOrAppId desc`. |
| `filter` | `string` Allows filtering by site fields. Supported syntax: - Filter expressions for site retrieval can only contain at most one restriction. - A restriction has the form of `{field} {operator} {value}`. - All fields must use the `HAS (:)` operator. Supported fields: - `urlOrAppId` Examples: - All sites for which the URL or app ID contains "google": `urlOrAppId : "google"` The length of this field should be no more than 500 characters. Reference our [filter `LIST` requests](https://developers.google.com/display-video/api/guides/how-tos/filters) guide for more information. |
| Required. Identifies the DV360 entity that owns the parent channel. It can be either a partner or an advertiser. The following is a list of mutually exclusive fields. At most one of the fields will be set in a response: ||
| `advertiserId` | `string (https://developers.google.com/discovery/v1/type-format format)` The ID of the advertiser that owns the parent channel. |
| End of mutually exclusive fields. ||

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://developers.google.com/display-video/api/reference/rest/v5/ListSitesResponse`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/display-video`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).